#!/usr/bin/env bash

echo "
 ::::::::   ::::::::  :::::::::      :::     :::::::::   ::::::::  
:+:    :+: :+:    :+: :+:    :+:   :+: :+:   :+:    :+: :+:    :+: 
+:+        +:+        +:+    +:+  +:+   +:+  +:+    +:+ +:+        
+#++:++#++ +#+        +#++:++#:  +#++:++#++: +#++:++#+  +#++:++#++ 
       +#+ +#+        +#+    +#+ +#+     +#+ +#+               +#+ 
#+#    #+# #+#    #+# #+#    #+# #+#     #+# #+#        #+#    #+# 
 ########   ########  ###    ### ###     ### ###         ########  
"

echo "Building latest code..."
npm run build

echo "Creating release zip file..."
rm -rf ./dist
mkdir -p ./dist/obsidian-scraps
cp main.js ./dist/obsidian-scraps
cp manifest.json ./dist/obsidian-scraps
cd ./dist
zip -r obsidian-scraps.zip obsidian-scraps
mv obsidian-scraps.zip ../
cd ..
rm -rf ./dist
ls -lash obsidian-scraps.zip